DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ComplexArrayCopy

Copy an array

## SYNOPSIS

dip_Error dip_ComplexArrayCopy ( dest, src, resources )

## FUNCTION

This function copies the complex array `src` to `dest`. The array `dest` is created by this function as well.

## ARGUMENTS

Data type | Name | Description
`dip_ComplexArray *` | `dest` | Destination array
`dip_ComplexArray` | `src` | Source array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ComplexArrayNew`, `ComplexArrayFree`, `ComplexArrayCopy`, `ComplexArrayFind`

`IntegerArrayCopy`, `FloatArrayCopy`, `ComplexArrayCopy`, `DataTypeArrayCopy`, `BooleanArrayCopy`, `VoidPointerArrayCopy`, `StringArrayCopy`

DIPlib on-line documentation | Function reference | Global function index